<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<!-- Bootstrap CSS link -->
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

		<link rel="stylesheet" href="./index.css">


		<title>Bootstrap Introduction and Simple Styles</title>
	</head>
	<body class="text-center">

		<div class="bg-primary text-light fixed-top p-1">
			Fixed Top - Nav
		</div>

		<!-- Header -->
		<div class="mt-5">
			<h1>Bootstrap Introduction and Simple Styles</h1>
			<div class="d-flex align-items-center w-25 p-4 mt-4 text-center">
				<img class="rounded-circle bg-white img-fluid m-auto" src="https://www.drupal.org/files/project-images/bootstrap-stack.png" alt="drupal">
			</div>

		</div>
		<!-- End of header -->

		<h2>Bootstrap Colour Classes</h2>
		<!-- Color classes table -->
		<div class="container-fluid">
			<table class="table table-dark table-bordered">
				<thead>
					<tr>
						<th>Text</th>
						<th>Background</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<a href="#" class="text-primary">
								Primary Link
							</a>
						</td>
						<td class="bg-primary text-white">
							Primary
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-secondary">
								Secondary Link
							</a>
						</td>
						<td class="bg-secondary text-white">
							Secondary
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-success">
								Success Link
							</a>
						</td>
						<td class="bg-success text-white">
							Success
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-danger">
								Danger Link
							</a>
						</td>
						<td class="bg-danger text-white">
							Danger
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-warning">
								Warning Link
							</a>
						</td>
						<td class="bg-warning text-light">
							Warning
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-info">
								Info Link
							</a>
						</td>
						<td class="bg-info text-dark">
							Info
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-light">
								Light Link
							</a>
						</td>
						<td class="bg-light text-dark">
							Light
						</td>
						
					</tr>
					<tr>
						<td>
							<a href="#" class="text-dark">
								Dark Link
							</a>
						</td>
						<td class="bg-dark text-white">
							Dark
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-muted">
								Muted Link
							</a>
						</td>
						<td class="bg-muted text-white">
							Muted
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-white">
								White Link
							</a>
						</td>
						<td class="bg-white text-dark">
							White
						</td>
					</tr>
				</tbody>
			</table>
		</div>
		<!-- End of colour classes table -->

		<!-- Boostrap text alignment classes -->
		<h2>Bootstrap text classes</h2>
		<div>
			<table class="table table-dark table-bordered text-light">
				<thead>
					<tr>
						<th>
							Alignment
						</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td class="text-left">
							Left
						</td>
					</tr>
					<tr>
						<td class="text-center">
							Center
						</td>
					</tr>
					<tr>
						<td class="text-right">
							Right
						</td>
					</tr>
					<tr>
						<!-- Text will be centered on small screens -->
						<td class="text-sm-center">
							Small Center
						</td>
					</tr>
					<tr>
						<!-- Text will align left on medium screens (tablets) and right on larger screens -->
						<td class="text-right text-md-left">
							Medium Left
						</td>
					</tr>
					<tr>
						<!-- text will align right on large screens like desktops -->
						<td class="text-lg-right">
							Large Right
						</td>
					</tr>
					<tr>
						<!-- Text will align to the center on xl screens -->
						<td class="text-xl-center">
							XL Center
						</td>
					</tr>
				</tbody>
			</table>
		</div>
		<!-- End of bootstrap text alignment classes -->

		<!-- Bootstrap Other Text Classes Table -->
		<div>
			<table class="table table-dark table-bordered text-light">
				<thead>
					<tr>
						<th>Text Transform</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td class="text-lowercase font-weight-bold">
							Lowercase Bold text
						</td>
					</tr>
					<tr>
						<td>
							<a href="#" class="text-decoration-none font-italic">
								Non-underlined italic link
							</a>
						</td>
					</tr>
					<tr>
						<td class="text-uppercase font-weight-normal">
							uppercase normal text
						</td>
					</tr>
					<tr>
						<td class="text-capitalize font-weight-light">
							capitalized light text
						</td>
					</tr>
				</tbody>
			</table>
		</div>
		<!-- End of other text classes -->

		<h2>Bootstrap border and sizing clases</h2>
		<div>
			<table class="table table-dark table-bordered text-light">
				<thead>
					<tr>
						<th>Border</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="bg-info border border-primary rounded">
								Rounded 
							</div>
						</td>
					</tr>
					<tr>
						<td>
							<div class="bg-secondary border border-white rounded-circle w-25">
								Rounded Circle
							</div>
						</td>
					</tr>
					<tr>
						<td>
							<div class="bg-warning border border-danger rounded-pill w-75">
								Rounded Pill
							</div>
						</td>
					</tr>
				</tbody>
			</table>
		</div>

		<!-- Footer -->
		<div class="bg-primary text-light fixed-bottom p-1">
			Fixed Bottom - Footer
		</div>

		<!-- Start of bootstrap script -->
		<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
		<!-- End of bootstrap script -->
	</body>
</html>